---
enableMacro: true
define:
    'Ctrl/Cmd': '[= $ctx.env.isMacOS ? "Cmd" : "Ctrl" =]'
    'Alt/Option': '[= $ctx.env.isMacOS ? "Option" : "Alt" =]'
    'TABS-CLOSE-CURRENT': '[= `${$ctx.env.isMacOS ? "Cmd" : "Ctrl"} +${$ctx.env.isElectron ? "" : ($ctx.env.isMacOS ? "Option" : "Alt") + " +"} W` =]'
---

## Shortcuts

:::: group
::: group-item English

Here only some commonly used shortcut keys and custom shortcut keys are listed here, the default editor shortcut keys reference [vscode](https://code.visualstudio.com/).

Command | keybinding
---- | ------
Cut | Ctrl/Cmd + X
Copy | Ctrl/Cmd + C
Undo | Ctrl/Cmd + Z
Redo | Ctrl/Cmd + Shift + Z
Add Cursors to Line Ends | Shift + Alt/Option + I
Add Cursor Above/Below | Ctrl/Cmd + Alt/Option + ↑/↓
Add Selection to Next Find Match | Ctrl/Cmd + D
Find | Ctrl/Cmd + F
Go to File | Ctrl/Cmd + P
Back | Ctrl/Cmd + [
Forward | Ctrl/Cmd + ]
Refresh | Ctrl/Cmd + R
Save | Ctrl/Cmd + S
Join Lines | Ctrl/Cmd + J
Add New Line, avoid completion | Alt/Option + Enter
Add New Tab, avoid completion | Shift + Enter
Switch Todo | Alt/Option + O
Insert Today's Date | Shift + Alt/Option + D
Insert Current Time | Shift + Alt/Option + T
Insert Attachment | Alt/Option + F
Insert Image | Alt/Option + I
Insert Document Link | Alt/Option + D
Run Selection in Terminal | Shift + Alt/Option + R
Transform to Uppercase | Ctrl/Cmd + K, Ctrl/Cmd + U
Transform to Lowercase | Ctrl/Cmd + K, Ctrl/Cmd + L
Paste Rich Text as Document | Ctrl/Cmd + D + V
Pase Image as Base64 | Ctrl/Cmd + B + V
Show Context Menu in the Preview | Right-click Target (Hold Alt in the Browser)
Edit Table Cell | Double Click Cell
Edit Table Cell (Popup) | Ctrl/Cmd + Click
Copy Heading link | Ctrl/Cmd + Click Heading
Switch Editor Tab | Ctrl/Cmd + Alt/Option + Left/Right
Search Editor Tabs | Shift + Alt/Option + P
Close Editor Current Tab | TABS-CLOSE-CURRENT
Switch Editor Current Tab | Ctrl + 0-9
Toggle Sidebar | Alt/Option + E
Toggle Word Wrap | Alt/Option + W
Toggle Preview | Alt/Option + V
Toggle Terminal | Alt/Option + T
Toggle Control Center | Alt/Option + C
Show Copy Content Panel | Ctrl/Cmd + Shift + C
Presentation | F5
Zoom In | Ctrl/Cmd + =
Zoom Out | Ctrl/Cmd + -
Zoom Reset | Ctrl/Cmd + 0
Switch Repository | Alt/Option + 0-9

:::
::: group-item [= $ctx.i18n.getCurrentLanguage() === 'zh-CN' ? '*' : '' =]中文
这里仅列出部分常用快捷键和自定义快捷键，默认编辑器快捷键参考 [vscode](https://code.visualstudio.com/)。

功能 | 快捷键
---- | ------
剪切所选/当前行 | Ctrl/Cmd + X
复制所选/当前行 | Ctrl/Cmd + C
撤销 | Ctrl/Cmd + Z
重做 | Ctrl/Cmd + Shift + Z
在选中区的所有行的最后添加光标 | Shift + Alt/Option + I
在相邻行插入光标 | Ctrl/Cmd + Alt/Option + ↑/↓
为下一个匹配项添加光标 | Ctrl/Cmd + D
查找 | Ctrl/Cmd + F
打开文件快速跳转面板 | Ctrl/Cmd + P
后退 | Ctrl/Cmd + [
前进 | Ctrl/Cmd + ]
刷新 | Ctrl/Cmd + R
保存文档 | Ctrl/Cmd + S
连接行 | Ctrl/Cmd + J
强制插入新行，忽略预置补全规则 | Alt/Option + Enter
强制插入 Tab，忽略预置补全规则 | Shift + Enter
切换待办状态 | Alt/Option + O
插入当前日期 | Shift + Alt/Option + D
插入当前时间 | Shift + Alt/Option + T
插入文件附件 | Alt/Option + F
插入图片 | Alt/Option + I
插入文档 | Alt/Option + D
在内置终端里面运行选中内容 | Shift + Alt/Option + R
转换大写 | Ctrl/Cmd + K, Ctrl/Cmd + U
转换小写 | Ctrl/Cmd + K, Ctrl/Cmd + L
粘贴 HTML 富文本 | Ctrl/Cmd + D + V
粘贴图片为 base64 链接 | Ctrl/Cmd + B + V
预览界面唤起右键菜单 | 右击目标元素（浏览器中需要按住 Alt）
编辑表格单元格 | 双击单元格
编辑表格单元格(弹出框) | Ctrl/Cmd + 单击单元格
复制文档标题链接 | Ctrl/Cmd + 单击标题
切换编辑器 Tab | Ctrl/Cmd + Alt/Option + Left/Right
搜索编辑器 Tab | Shift + Alt/Option + P
关闭编辑器当前标签 Tab | TABS-CLOSE-CURRENT
切换编辑器当前标签 | Ctrl + 0-9
切换侧栏 | Alt/Option + E
切换编辑器自动换行 | Alt/Option + W
切换文档预览显示 | Alt/Option + V
切换终端 | Alt/Option + T
切换控制中心 | Alt/Option + C
展示复制面板 | Ctrl/Cmd + Shift + C
演示模式 | F5
缩放放大 | Ctrl/Cmd + =
缩放缩小 | Ctrl/Cmd + -
缩放重置 | Ctrl/Cmd + 0
切换仓库 | Alt/Option + 0-9
:::
::::
